Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 524190 - Review Request: flowcanvas - an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines” environments
Summary: Review Request: flowcanvas - an interactive Gtkmm/Gnomecanvasmm widget for “b...
Keywords:
Status: CLOSED DUPLICATE of bug 567027
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-09-18 10:13 UTC by Alexander
Modified: 2010-02-21 06:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-16 14:53:11 UTC


Attachments (Terms of Use)

Description Alexander 2009-09-18 10:13:17 UTC
Spec URL: http://dreamer.fedorapeople.org/drobilla/flowcanvas/flowcanvas.spec
SRPM URL: http://dreamer.fedorapeople.org/drobilla/flowcanvas/flowcanvas-0.5.1-1.fc11.src.rpm
Description: FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines”
environments (ie modular synths or interactive finite state automata diagrams).

This is my first package ever and I still need a sponsor.
I decided to package this software because I wanted to include Patchage in yum and this is one of its dependencies. Other packages I will make after this will be Patchage itself and it's other dependency: Raul.

Comment 1 Jason Tibbitts 2009-09-18 17:57:15 UTC
This fails to build for me; the patch doesn't apply:

Patch #0 (flowcanvas-0.5.1.include-stdint.patch):
+ /bin/cat /builddir/build/SOURCES/flowcanvas-0.5.1.include-stdint.patch
+ /usr/bin/patch -s -p0 -b --suffix .include-stdint --fuzz=0
The text leading up to this was:
--------------------------
|--- /home/dreamer/rpmbuild/BUILD/flowcanvas-0.5.1/flowcanvas/Connection.hpp.orig       2009-09-12 14:18:52.000000000 +0200
|+++ /home/dreamer/rpmbuild/BUILD/flowcanvas-0.5.1/flowcanvas/Connection.hpp    2009-09-12 14:19:20.000000000 +0200
--------------------------
File to patch:
Skip this patch? [y]
1 out of 1 hunk ignored
RPM build errors:

Please try to ensure that your packages build properly before submitting them for review.  If you read through http://fedoraproject.org/wiki/Join_the_package_collection_maintainers you can find instructions on using our build system to do scratch builds.

Please clear the Whiteboard when this package is ready to be reviewed.

Comment 2 Alexander 2009-10-01 06:27:00 UTC
Thank you for helping Jason.

I have now learned how to use mock to do a clean build and using it I've found the problem with the patch and another dependency I overlooked.

It should build properly now.

Comment 3 Mamoru TASAKA 2009-10-10 18:49:15 UTC
Well, first of all some general packaging guidelines:

* From the next time please change the release number of your spec
  file every time you modify it to avoid confusion.
  https://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes

* If the software installs both system-wide libraries and some
  header files,
  - Then those files for development should be packaged into the
    seperate subpackage (usually named as "-devel" package)
    and should not be included in the main package.
    Please refer to:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Devel_Packages

    You can base your spec file on a skeleton file provided
    by rpmdevtools rpm. After installing rpmdevtools, you can
    try
    $ rpmdev-newspec -t lib flowcanvas
    ( see $ rpmdev-newspec --help )

  - And Fedora already has many srpms of this type, for example:
    http://cvs.fedoraproject.org/viewvc/rpms/oniguruma/devel/oniguruma.spec?view=co

* Please don't use _unpackaged_files_terminate_build and correct
  %files entry (if there are some mistakes)

* You can use "rpmlint" command (in rpmlint rpm) to detect some
  generic packaging mistakes. Please check your srpm / rebuilt
  binary rpm / installed rpm with rpmlint.

* Please use "%{name}.spec" for the name of the spec file.

Then some notes:
* Summary should begin with capital letter

* "GPL" is not a valid license tag for Fedora:
  https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#.22or_later_version.22_licenses
  https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#GPL_and_LGPL

* Please use macros correctly.
  ! Note that your srpm still does not build on 64 bits architecture.
    On 64 bits architecture libraries are to be installed under /usr/lib64,
    not /usr/lib. Anyway using %{_libdir} macro will fix this problem, see:
    https://fedoraproject.org/wiki/Packaging/RPMMacros

* Using %{version} macro is preferred because with it you probably
  won't have to change the SourceURL when version is upgraded:
  https://fedoraproject.org/wiki/Packaging/SourceURL#Using_.25.7Bversion.7D

- Consider to use
--------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
--------------------------------------------------------------
  to keep timestamps on installed files as much as possible.
  This method usually works for Makefiles generated by recent autotools.

* For rpms installing system-wide libraries, please check:
  https://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

* For %files:
  - Please create -devel subpackages and move developement related files
    into it.
    ! And note that every package containing pkgconfig .pc file
      should have "Requires: pkgconfig":
      https://fedoraproject.org/wiki/Packaging/Guidelines#Pkgconfig_Files

    ! Also see:
      https://fedoraproject.org/wiki/Packaging/Guidelines#Requiring_Base_Package

  - libtool .la files should be removed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Packaging_Static_Libraries

  - Please take care of directory ownership issue.
    The directory %{_includedir}/flowcanvas/ itself is not owned by any
    packages:
    https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
    https://fedoraproject.org/wiki/Packaging:UnownedDirectories#Common_Mistakes

Comment 4 Mamoru TASAKA 2009-10-23 14:18:26 UTC
ping?

Comment 5 Alexander 2009-10-23 14:31:56 UTC
I'm sorry, this is a lot of stuff for which I don't know where to start really and atm I'm trying to finish my bachelors which of course has priority.

Maybe I'll look into this somewhere next month when I have time to really sit down for it.

Thank you for pointing these things out though. It is quite difficult to get into this whole packaging business.

Comment 6 Orcan Ogetbil 2009-11-26 09:09:43 UTC
I believe that the OP wanted to have patchage [1] in Fedora. This is one of the dependencies. Another dependency is raul which I just submitted to review here:
bug 541535

[1] http://drobilla.net/software/patchage/

Comment 7 Mamoru TASAKA 2009-11-26 12:51:37 UTC
Setting needinfo.

Comment 8 Mamoru TASAKA 2009-12-07 14:46:03 UTC
ping again?

Comment 9 Mamoru TASAKA 2009-12-23 14:33:37 UTC
Again ping?

Comment 10 Mamoru TASAKA 2010-01-07 18:47:01 UTC
I will close this bug if no response is received from the reporter
within ONE WEEK.

Comment 11 Mamoru TASAKA 2010-01-16 14:53:11 UTC
Once closing.

If someone wants to import this package into Fedora, please file
a new review request and mark this bug as a duplicate of the new
one.

Thank you!

Comment 12 Orcan Ogetbil 2010-02-21 06:54:13 UTC

*** This bug has been marked as a duplicate of bug 567027 ***


Note You need to log in before you can comment on or make changes to this bug.